org.jacoco.report.internal.html

## Interface ILinkable

All Known Subinterfaces:
  ITableItem

All Known Implementing Classes:
  BundlePage, ClassPage, GroupPage, NodePage, PackagePage, PackageSourcePage, ReportPage, SessionsPage, SourceFilePage, TablePage

    public interface ILinkable

Abstraction for items that can be linked to in a report.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLink(ReportOutputFolder base)` Returns a relative link to the item that works from the given base folder.
`String` `getLinkLabel()` Returns the display label used for the link.
`String` `getLinkStyle()` Optional style class to be associated with the link.

### Method Detail

#### getLink

    String getLink(ReportOutputFolder base)

Returns a relative link to the item that works from the given base folder.

Parameters:
  `base` - folder where the link should be inserted
Returns:
  relative link or `null` if the target does not exist

#### getLinkLabel

    String getLinkLabel()

Returns the display label used for the link.

Returns:
  display label

#### getLinkStyle

    String getLinkStyle()

Optional style class to be associated with the link.

Returns:
  link style class or `null`